diff --git a/src/test/regress/sql/multirangetypes.sql b/src/test/regress/sql/multirangetypes.sql
index fc369a550c..724af7f8d3 100644
--- a/src/test/regress/sql/multirangetypes.sql
+++ b/src/test/regress/sql/multirangetypes.sql
@@ -61,9 +61,9 @@ select '{(a,a)}'::textmultirange;
 -- Also try it with non-error-throwing API
 select pg_input_is_valid('{[1,2], [4,5]}', 'int4multirange');
 select pg_input_is_valid('{[1,2], [4,5]', 'int4multirange');
-select pg_input_error_message('{[1,2], [4,5]', 'int4multirange');
+select pg_input_error_info('{[1,2], [4,5]', 'int4multirange');
 select pg_input_is_valid('{[1,2], [4,zed]}', 'int4multirange');
-select pg_input_error_message('{[1,2], [4,zed]}', 'int4multirange');
+select pg_input_error_info('{[1,2], [4,zed]}', 'int4multirange');
 
 --
 -- test the constructor
diff --git a/src/test/regress/sql/numeric.sql b/src/test/regress/sql/numeric.sql
index 2db7656e84..4abc47a363 100644
--- a/src/test/regress/sql/numeric.sql
+++ b/src/test/regress/sql/numeric.sql
@@ -1086,11 +1086,11 @@ SELECT * FROM num_input_test;
 SELECT pg_input_is_valid('34.5', 'numeric');
 SELECT pg_input_is_valid('34xyz', 'numeric');
 SELECT pg_input_is_valid('1e400000', 'numeric');
-SELECT pg_input_error_message('1e400000', 'numeric');
+SELECT pg_input_error_info('1e400000', 'numeric');
 SELECT pg_input_is_valid('1234.567', 'numeric(8,4)');
 SELECT pg_input_is_valid('1234.567', 'numeric(7,4)');
-SELECT pg_input_error_message('1234.567', 'numeric(7,4)');
-SELECT pg_input_error_message('0x1234.567', 'numeric');
+SELECT pg_input_error_info('1234.567', 'numeric(7,4)');
+SELECT pg_input_error_info('0x1234.567', 'numeric');
 
 --
 -- Test precision and scale typemods
diff --git a/src/test/regress/sql/oid.sql b/src/test/regress/sql/oid.sql
index 39937c2f1d..e2bc32a8b6 100644
--- a/src/test/regress/sql/oid.sql
+++ b/src/test/regress/sql/oid.sql
@@ -31,16 +31,16 @@ SELECT * FROM OID_TBL;
 -- Also try it with non-error-throwing API
 SELECT pg_input_is_valid('1234', 'oid');
 SELECT pg_input_is_valid('01XYZ', 'oid');
-SELECT pg_input_error_message('01XYZ', 'oid');
+SELECT pg_input_error_info('01XYZ', 'oid');
 SELECT pg_input_is_valid('9999999999', 'oid');
-SELECT pg_input_error_message('9999999999', 'oid');
+SELECT pg_input_error_info('9999999999', 'oid');
 
 -- While we're here, check oidvector as well
 SELECT pg_input_is_valid(' 1 2  4 ', 'oidvector');
 SELECT pg_input_is_valid('01 01XYZ', 'oidvector');
-SELECT pg_input_error_message('01 01XYZ', 'oidvector');
+SELECT pg_input_error_info('01 01XYZ', 'oidvector');
 SELECT pg_input_is_valid('01 9999999999', 'oidvector');
-SELECT pg_input_error_message('01 9999999999', 'oidvector');
+SELECT pg_input_error_info('01 9999999999', 'oidvector');
 
 SELECT o.* FROM OID_TBL o WHERE o.f1 = 1234;
 
diff --git a/src/test/regress/sql/path.sql b/src/test/regress/sql/path.sql
index 42c90afe53..3dad134bbb 100644
--- a/src/test/regress/sql/path.sql
+++ b/src/test/regress/sql/path.sql
@@ -45,6 +45,6 @@ SELECT popen(f1) AS open_path FROM PATH_TBL;
 
 -- test non-error-throwing API for some core types
 SELECT pg_input_is_valid('[(1,2),(3)]', 'path');
-SELECT pg_input_error_message('[(1,2),(3)]', 'path');
+SELECT pg_input_error_info('[(1,2),(3)]', 'path');
 SELECT pg_input_is_valid('[(1,2,6),(3,4,6)]', 'path');
-SELECT pg_input_error_message('[(1,2,6),(3,4,6)]', 'path');
+SELECT pg_input_error_info('[(1,2,6),(3,4,6)]', 'path');
diff --git a/src/test/regress/sql/pg_lsn.sql b/src/test/regress/sql/pg_lsn.sql
index 3d57d66e0c..7ba54b9c1b 100644
--- a/src/test/regress/sql/pg_lsn.sql
+++ b/src/test/regress/sql/pg_lsn.sql
@@ -17,7 +17,7 @@ INSERT INTO PG_LSN_TBL VALUES ('/ABCD');
 
 -- Also try it with non-error-throwing API
 SELECT pg_input_is_valid('16AE7F7', 'pg_lsn');
-SELECT pg_input_error_message('16AE7F7', 'pg_lsn');
+SELECT pg_input_error_info('16AE7F7', 'pg_lsn');
 
 -- Min/Max aggregation
 SELECT MIN(f1), MAX(f1) FROM PG_LSN_TBL;
diff --git a/src/test/regress/sql/point.sql b/src/test/regress/sql/point.sql
index 7bd1ebe2b5..49c2e85de5 100644
--- a/src/test/regress/sql/point.sql
+++ b/src/test/regress/sql/point.sql
@@ -99,4 +99,4 @@ RESET enable_bitmapscan;
 
 -- test non-error-throwing API for some core types
 SELECT pg_input_is_valid('1,y', 'point');
-SELECT pg_input_error_message('1,y', 'point');
+SELECT pg_input_error_info('1,y', 'point');
diff --git a/src/test/regress/sql/polygon.sql b/src/test/regress/sql/polygon.sql
index da644e34e3..2ca1a5ac2b 100644
--- a/src/test/regress/sql/polygon.sql
+++ b/src/test/regress/sql/polygon.sql
@@ -143,6 +143,6 @@ RESET enable_bitmapscan;
 
 -- test non-error-throwing API for some core types
 SELECT pg_input_is_valid('(2.0,0.8,0.1)', 'polygon');
-SELECT pg_input_error_message('(2.0,0.8,0.1)', 'polygon');
+SELECT pg_input_error_info('(2.0,0.8,0.1)', 'polygon');
 SELECT pg_input_is_valid('(2.0,xyz)', 'polygon');
-SELECT pg_input_error_message('(2.0,xyz)', 'polygon');
+SELECT pg_input_error_info('(2.0,xyz)', 'polygon');
diff --git a/src/test/regress/sql/privileges.sql b/src/test/regress/sql/privileges.sql
index 0bcea77ff4..5db53b97ca 100644
--- a/src/test/regress/sql/privileges.sql
+++ b/src/test/regress/sql/privileges.sql
@@ -1433,11 +1433,11 @@ SELECT makeaclitem('regress_priv_user1'::regrole, 'regress_priv_user2'::regrole,
 -- Test non-throwing aclitem I/O
 SELECT pg_input_is_valid('regress_priv_user1=r/regress_priv_user2', 'aclitem');
 SELECT pg_input_is_valid('regress_priv_user1=r/', 'aclitem');
-SELECT pg_input_error_message('regress_priv_user1=r/', 'aclitem');
+SELECT pg_input_error_info('regress_priv_user1=r/', 'aclitem');
 SELECT pg_input_is_valid('regress_priv_user1=r/regress_no_such_user', 'aclitem');
-SELECT pg_input_error_message('regress_priv_user1=r/regress_no_such_user', 'aclitem');
+SELECT pg_input_error_info('regress_priv_user1=r/regress_no_such_user', 'aclitem');
 SELECT pg_input_is_valid('regress_priv_user1=rY', 'aclitem');
-SELECT pg_input_error_message('regress_priv_user1=rY', 'aclitem');
+SELECT pg_input_error_info('regress_priv_user1=rY', 'aclitem');
 
 --
 -- Testing blanket default grants is very hazardous since it might change
diff --git a/src/test/regress/sql/rangetypes.sql b/src/test/regress/sql/rangetypes.sql
index 4e6a0912de..4729a1c2d4 100644
--- a/src/test/regress/sql/rangetypes.sql
+++ b/src/test/regress/sql/rangetypes.sql
@@ -43,15 +43,15 @@ select '(a,a)'::textrange;
 -- Also try it with non-error-throwing API
 select pg_input_is_valid('(1,4)', 'int4range');
 select pg_input_is_valid('(1,4', 'int4range');
-select pg_input_error_message('(1,4', 'int4range');
+select pg_input_error_info('(1,4', 'int4range');
 select pg_input_is_valid('(4,1)', 'int4range');
-select pg_input_error_message('(4,1)', 'int4range');
+select pg_input_error_info('(4,1)', 'int4range');
 select pg_input_is_valid('(4,zed)', 'int4range');
-select pg_input_error_message('(4,zed)', 'int4range');
+select pg_input_error_info('(4,zed)', 'int4range');
 select pg_input_is_valid('[1,2147483647]', 'int4range');
-select pg_input_error_message('[1,2147483647]', 'int4range');
+select pg_input_error_info('[1,2147483647]', 'int4range');
 select pg_input_is_valid('[2000-01-01,5874897-12-31]', 'daterange');
-select pg_input_error_message('[2000-01-01,5874897-12-31]', 'daterange');
+select pg_input_error_info('[2000-01-01,5874897-12-31]', 'daterange');
 
 --
 -- create some test data and test the operators
diff --git a/src/test/regress/sql/regproc.sql b/src/test/regress/sql/regproc.sql
index 2cb8c9a253..e8c7394c5c 100644
--- a/src/test/regress/sql/regproc.sql
+++ b/src/test/regress/sql/regproc.sql
@@ -125,23 +125,23 @@ SELECT to_regnamespace('foo.bar');
 
 -- Test soft-error API
 
-SELECT pg_input_error_message('ng_catalog.pg_class', 'regclass');
+SELECT pg_input_error_info('ng_catalog.pg_class', 'regclass');
 SELECT pg_input_is_valid('ng_catalog."POSIX"', 'regcollation');
-SELECT pg_input_error_message('no_such_config', 'regconfig');
-SELECT pg_input_error_message('no_such_dictionary', 'regdictionary');
-SELECT pg_input_error_message('Nonexistent', 'regnamespace');
-SELECT pg_input_error_message('ng_catalog.||/', 'regoper');
-SELECT pg_input_error_message('-', 'regoper');
-SELECT pg_input_error_message('ng_catalog.+(int4,int4)', 'regoperator');
-SELECT pg_input_error_message('-', 'regoperator');
-SELECT pg_input_error_message('ng_catalog.now', 'regproc');
-SELECT pg_input_error_message('ng_catalog.abs(numeric)', 'regprocedure');
-SELECT pg_input_error_message('ng_catalog.abs(numeric', 'regprocedure');
-SELECT pg_input_error_message('regress_regrole_test', 'regrole');
-SELECT pg_input_error_message('no_such_type', 'regtype');
+SELECT pg_input_error_info('no_such_config', 'regconfig');
+SELECT pg_input_error_info('no_such_dictionary', 'regdictionary');
+SELECT pg_input_error_info('Nonexistent', 'regnamespace');
+SELECT pg_input_error_info('ng_catalog.||/', 'regoper');
+SELECT pg_input_error_info('-', 'regoper');
+SELECT pg_input_error_info('ng_catalog.+(int4,int4)', 'regoperator');
+SELECT pg_input_error_info('-', 'regoperator');
+SELECT pg_input_error_info('ng_catalog.now', 'regproc');
+SELECT pg_input_error_info('ng_catalog.abs(numeric)', 'regprocedure');
+SELECT pg_input_error_info('ng_catalog.abs(numeric', 'regprocedure');
+SELECT pg_input_error_info('regress_regrole_test', 'regrole');
+SELECT pg_input_error_info('no_such_type', 'regtype');
 
 -- Some cases that should be soft errors, but are not yet
-SELECT pg_input_error_message('incorrect type name syntax', 'regtype');
-SELECT pg_input_error_message('numeric(1,2,3)', 'regtype');  -- bogus typmod
-SELECT pg_input_error_message('way.too.many.names', 'regtype');
-SELECT pg_input_error_message('no_such_catalog.schema.name', 'regtype');
+SELECT pg_input_error_info('incorrect type name syntax', 'regtype');
+SELECT pg_input_error_info('numeric(1,2,3)', 'regtype');  -- bogus typmod
+SELECT pg_input_error_info('way.too.many.names', 'regtype');
+SELECT pg_input_error_info('no_such_catalog.schema.name', 'regtype');
diff --git a/src/test/regress/sql/rowtypes.sql b/src/test/regress/sql/rowtypes.sql
index 0844e7488d..951f0e60e2 100644
--- a/src/test/regress/sql/rowtypes.sql
+++ b/src/test/regress/sql/rowtypes.sql
@@ -35,8 +35,8 @@ select '(Joe,Blow) /'::fullname;  -- bad
 SELECT pg_input_is_valid('(1,2)', 'complex');
 SELECT pg_input_is_valid('(1,2', 'complex');
 SELECT pg_input_is_valid('(1,zed)', 'complex');
-SELECT pg_input_error_message('(1,zed)', 'complex');
-SELECT pg_input_error_message('(1,1e400)', 'complex');
+SELECT pg_input_error_info('(1,zed)', 'complex');
+SELECT pg_input_error_info('(1,1e400)', 'complex');
 
 create temp table quadtable(f1 int, q quad);
 
diff --git a/src/test/regress/sql/strings.sql b/src/test/regress/sql/strings.sql
index 932f71cbca..7d774315c6 100644
--- a/src/test/regress/sql/strings.sql
+++ b/src/test/regress/sql/strings.sql
@@ -87,9 +87,9 @@ SELECT E'De\\123dBeEf'::bytea;
 
 -- Test non-error-throwing API too
 SELECT pg_input_is_valid(E'\\xDeAdBeE', 'bytea');
-SELECT pg_input_error_message(E'\\xDeAdBeE', 'bytea');
-SELECT pg_input_error_message(E'\\xDeAdBeEx', 'bytea');
-SELECT pg_input_error_message(E'foo\\99bar', 'bytea');
+SELECT pg_input_error_info(E'\\xDeAdBeE', 'bytea');
+SELECT pg_input_error_info(E'\\xDeAdBeEx', 'bytea');
+SELECT pg_input_error_info(E'foo\\99bar', 'bytea');
 
 --
 -- test conversions between various string types
diff --git a/src/test/regress/sql/tid.sql b/src/test/regress/sql/tid.sql
index 8196194c04..2d2dcb05c1 100644
--- a/src/test/regress/sql/tid.sql
+++ b/src/test/regress/sql/tid.sql
@@ -11,9 +11,9 @@ SELECT '(1,65536)'::tid;  -- error
 
 -- Also try it with non-error-throwing API
 SELECT pg_input_is_valid('(0)', 'tid');
-SELECT pg_input_error_message('(0)', 'tid');
+SELECT pg_input_error_info('(0)', 'tid');
 SELECT pg_input_is_valid('(0,-1)', 'tid');
-SELECT pg_input_error_message('(0,-1)', 'tid');
+SELECT pg_input_error_info('(0,-1)', 'tid');
 
 
 -- tests for functions related to TID handling
diff --git a/src/test/regress/sql/time.sql b/src/test/regress/sql/time.sql
index b439cd6b41..a40e725eab 100644
--- a/src/test/regress/sql/time.sql
+++ b/src/test/regress/sql/time.sql
@@ -44,8 +44,8 @@ SELECT '25:00:00'::time;  -- not allowed
 SELECT pg_input_is_valid('12:00:00', 'time');
 SELECT pg_input_is_valid('25:00:00', 'time');
 SELECT pg_input_is_valid('15:36:39 America/New_York', 'time');
-SELECT pg_input_error_message('25:00:00', 'time');
-SELECT pg_input_error_message('15:36:39 America/New_York', 'time');
+SELECT pg_input_error_info('25:00:00', 'time');
+SELECT pg_input_error_info('15:36:39 America/New_York', 'time');
 
 --
 -- TIME simple math
diff --git a/src/test/regress/sql/timestamp.sql b/src/test/regress/sql/timestamp.sql
index 2d5f01ab86..ca4c44130a 100644
--- a/src/test/regress/sql/timestamp.sql
+++ b/src/test/regress/sql/timestamp.sql
@@ -100,8 +100,8 @@ INSERT INTO TIMESTAMP_TBL VALUES ('19970710 173201 America/Does_not_exist');
 SELECT pg_input_is_valid('now', 'timestamp');
 SELECT pg_input_is_valid('garbage', 'timestamp');
 SELECT pg_input_is_valid('2001-01-01 00:00 Nehwon/Lankhmar', 'timestamp');
-SELECT pg_input_error_message('garbage', 'timestamp');
-SELECT pg_input_error_message('2001-01-01 00:00 Nehwon/Lankhmar', 'timestamp');
+SELECT pg_input_error_info('garbage', 'timestamp');
+SELECT pg_input_error_info('2001-01-01 00:00 Nehwon/Lankhmar', 'timestamp');
 
 -- Check date conversion and date arithmetic
 INSERT INTO TIMESTAMP_TBL VALUES ('1997-06-10 18:32:01 PDT');
diff --git a/src/test/regress/sql/timestamptz.sql b/src/test/regress/sql/timestamptz.sql
index 6d10937d86..96cd82fa08 100644
--- a/src/test/regress/sql/timestamptz.sql
+++ b/src/test/regress/sql/timestamptz.sql
@@ -113,8 +113,8 @@ SELECT '205000-01-10 17:32:01 Europe/Helsinki'::timestamptz; -- non-DST
 SELECT pg_input_is_valid('now', 'timestamptz');
 SELECT pg_input_is_valid('garbage', 'timestamptz');
 SELECT pg_input_is_valid('2001-01-01 00:00 Nehwon/Lankhmar', 'timestamptz');
-SELECT pg_input_error_message('garbage', 'timestamptz');
-SELECT pg_input_error_message('2001-01-01 00:00 Nehwon/Lankhmar', 'timestamptz');
+SELECT pg_input_error_info('garbage', 'timestamptz');
+SELECT pg_input_error_info('2001-01-01 00:00 Nehwon/Lankhmar', 'timestamptz');
 
 -- Check date conversion and date arithmetic
 INSERT INTO TIMESTAMPTZ_TBL VALUES ('1997-06-10 18:32:01 PDT');
diff --git a/src/test/regress/sql/timetz.sql b/src/test/regress/sql/timetz.sql
index b62aa3fe05..857408b88b 100644
--- a/src/test/regress/sql/timetz.sql
+++ b/src/test/regress/sql/timetz.sql
@@ -49,8 +49,8 @@ SELECT '25:00:00 PDT'::timetz;  -- not allowed
 SELECT pg_input_is_valid('12:00:00 PDT', 'timetz');
 SELECT pg_input_is_valid('25:00:00 PDT', 'timetz');
 SELECT pg_input_is_valid('15:36:39 America/New_York', 'timetz');
-SELECT pg_input_error_message('25:00:00 PDT', 'timetz');
-SELECT pg_input_error_message('15:36:39 America/New_York', 'timetz');
+SELECT pg_input_error_info('25:00:00 PDT', 'timetz');
+SELECT pg_input_error_info('15:36:39 America/New_York', 'timetz');
 
 --
 -- TIME simple math
diff --git a/src/test/regress/sql/tstypes.sql b/src/test/regress/sql/tstypes.sql
index b73dd1cb07..9343266fd5 100644
--- a/src/test/regress/sql/tstypes.sql
+++ b/src/test/regress/sql/tstypes.sql
@@ -22,7 +22,7 @@ SELECT $$'' '1' '2'$$::tsvector;  -- error, empty lexeme is not allowed
 -- Also try it with non-error-throwing API
 SELECT pg_input_is_valid('foo', 'tsvector');
 SELECT pg_input_is_valid($$''$$, 'tsvector');
-SELECT pg_input_error_message($$''$$, 'tsvector');
+SELECT pg_input_error_info($$''$$, 'tsvector');
 
 --Base tsquery test
 SELECT '1'::tsquery;
@@ -76,8 +76,8 @@ SELECT '!!a & !!b'::tsquery;
 -- Also try it with non-error-throwing API
 SELECT pg_input_is_valid('foo', 'tsquery');
 SELECT pg_input_is_valid('foo!', 'tsquery');
-SELECT pg_input_error_message('foo!', 'tsquery');
-SELECT pg_input_error_message('a <100000> b', 'tsquery');
+SELECT pg_input_error_info('foo!', 'tsquery');
+SELECT pg_input_error_info('a <100000> b', 'tsquery');
 
 --comparisons
 SELECT 'a' < 'b & c'::tsquery as "true";
diff --git a/src/test/regress/sql/uuid.sql b/src/test/regress/sql/uuid.sql
index 37d954eda1..076cf1b21e 100644
--- a/src/test/regress/sql/uuid.sql
+++ b/src/test/regress/sql/uuid.sql
@@ -25,7 +25,7 @@ INSERT INTO guid1(guid_field) VALUES('11+11111-1111-1111-1111-111111111111');
 
 -- test non-error-throwing API
 SELECT pg_input_is_valid('11', 'uuid');
-SELECT pg_input_error_message('11', 'uuid');
+SELECT pg_input_error_info('11', 'uuid');
 
 --inserting three input formats
 INSERT INTO guid1(guid_field) VALUES('11111111-1111-1111-1111-111111111111');
diff --git a/src/test/regress/sql/varchar.sql b/src/test/regress/sql/varchar.sql
index df16da37a7..32dbee58b1 100644
--- a/src/test/regress/sql/varchar.sql
+++ b/src/test/regress/sql/varchar.sql
@@ -70,4 +70,4 @@ SELECT * FROM VARCHAR_TBL;
 -- Also try it with non-error-throwing API
 SELECT pg_input_is_valid('abcd  ', 'varchar(4)');
 SELECT pg_input_is_valid('abcde', 'varchar(4)');
-SELECT pg_input_error_message('abcde', 'varchar(4)');
+SELECT pg_input_error_info('abcde', 'varchar(4)');
diff --git a/src/test/regress/sql/xid.sql b/src/test/regress/sql/xid.sql
index b6996588ef..3e5e880473 100644
--- a/src/test/regress/sql/xid.sql
+++ b/src/test/regress/sql/xid.sql
@@ -19,10 +19,10 @@ select 'asdf'::xid8;
 -- Also try it with non-error-throwing API
 SELECT pg_input_is_valid('42', 'xid');
 SELECT pg_input_is_valid('asdf', 'xid');
-SELECT pg_input_error_message('0xffffffffff', 'xid');
+SELECT pg_input_error_info('0xffffffffff', 'xid');
 SELECT pg_input_is_valid('42', 'xid8');
 SELECT pg_input_is_valid('asdf', 'xid8');
-SELECT pg_input_error_message('0xffffffffffffffffffff', 'xid8');
+SELECT pg_input_error_info('0xffffffffffffffffffff', 'xid8');
 
 -- equality
 select '1'::xid = '1'::xid;
@@ -79,9 +79,9 @@ select '12:16:14,13'::pg_snapshot;
 -- also try it with non-error-throwing API
 select pg_input_is_valid('12:13:', 'pg_snapshot');
 select pg_input_is_valid('31:12:', 'pg_snapshot');
-select pg_input_error_message('31:12:', 'pg_snapshot');
+select pg_input_error_info('31:12:', 'pg_snapshot');
 select pg_input_is_valid('12:16:14,13', 'pg_snapshot');
-select pg_input_error_message('12:16:14,13', 'pg_snapshot');
+select pg_input_error_info('12:16:14,13', 'pg_snapshot');
 
 create temp table snapshot_test (
 	nr	integer,
diff --git a/src/test/regress/sql/xml.sql b/src/test/regress/sql/xml.sql
index ddff459297..24e40d2653 100644
--- a/src/test/regress/sql/xml.sql
+++ b/src/test/regress/sql/xml.sql
@@ -12,9 +12,9 @@ SELECT * FROM xmltest;
 -- test non-throwing API, too
 SELECT pg_input_is_valid('<value>one</value>', 'xml');
 SELECT pg_input_is_valid('<value>one</', 'xml');
-SELECT pg_input_error_message('<value>one</', 'xml');
+SELECT message FROM pg_input_error_info('<value>one</', 'xml');
 SELECT pg_input_is_valid('<?xml version="1.0" standalone="y"?><foo/>', 'xml');
-SELECT pg_input_error_message('<?xml version="1.0" standalone="y"?><foo/>', 'xml');
+SELECT message FROM pg_input_error_info('<?xml version="1.0" standalone="y"?><foo/>', 'xml');
 
 
 SELECT xmlcomment('test');
-- 
2.25.1

